package edu.nyu.cs9053.concurrency.racecondition;

/**
 * User: blangel
 * Date: 11/9/14
 * Time: 10:46 AM
 */
public class UniqueNumberGenerator {

    private long sequence;

    public UniqueNumberGenerator() {
        this.sequence = 0L;
    }

    public long next() {
        return sequence++;
    }

}
